Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.math3.optim.nonlinear.scalar.gradient
Enum NonLinearConjugateGradientOptimizer.Formula

    java.lang.Object
      java.lang.Enum<NonLinearConjugateGradientOptimizer.Formula>
          org.apache.commons.math3.optim.nonlinear.scalar.gradient.NonLinearConjugateGradientOptimizer.Formula

All Implemented Interfaces:
  Serializable, Comparable<NonLinearConjugateGradientOptimizer.Formula>

Enclosing class:
  NonLinearConjugateGradientOptimizer

    public static enum NonLinearConjugateGradientOptimizer.Formula

extends Enum<NonLinearConjugateGradientOptimizer.Formula>

Available choices of update formulas for the updating the parameter that is used to compute the successive conjugate search directions. For non-linear conjugate gradients, there are two formulas:

- Fletcher-Reeves formula
- Polak-Ribière formula

On the one hand, the Fletcher-Reeves formula is guaranteed to converge if the start point is close enough of the optimum whether the Polak-Ribière formula may not converge in rare cases. On the other hand, the Polak-Ribière formula is often faster when it does converge. Polak-Ribière is often used.

Since:
  2.0

Enum Constant Summary
`FLETCHER_REEVES` Fletcher-Reeves formula.
`POLAK_RIBIERE` Polak-Ribière formula.

Method Summary
`static NonLinearConjugateGradientOptimizer.Formula` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NonLinearConjugateGradientOptimizer.Formula[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLETCHER_REEVES

    public static final NonLinearConjugateGradientOptimizer.Formula FLETCHER_REEVES

  Fletcher-Reeves formula.

### POLAK_RIBIERE

    public static final NonLinearConjugateGradientOptimizer.Formula POLAK_RIBIERE

  Polak-Ribière formula.

Method Detail

### values

    public static NonLinearConjugateGradientOptimizer.Formula[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NonLinearConjugateGradientOptimizer.Formula c : NonLinearConjugateGradientOptimizer.Formula.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NonLinearConjugateGradientOptimizer.Formula valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.